Subject: bug#53118: Homebrew Emacs crashes on Mac BigSur M1

From: Pierre Lasorak <[email-masked]>
Date: Fri, 7 Jan 2022 16:42:28 +0000

Hello,

Unfortunately, I'm not sure how to reproduce the crash, it's just
that after some time, emacs segs fault, the backtrace is below.

This happens when I type, generally, and I think it may be related to
company. I use emacs every day, and this would happen maybe twice a day.

I'll try to install gdb and follow the instructions below, but I remember
it was not so easy to install gdb on macos last time I tried.

Thanks,
Pierre

(base)  pierrelasorak@IC-FVFFRHBFQ05F > emacs -nw
Fatal error 11: Segmentation fault
Backtrace:
0   emacs                               0x00000001005b3658 emacs_backtrace + 164
1   emacs                               0x0000000100664ffc terminate_due_to_signal + 140
2   emacs                               0x00000001005b46c0 deliver_thread_signal + 0
3   emacs                               0x00000001005b473c init_bignum + 0
4   emacs                               0x00000001005b33b0 maybe_fatal_sig + 0
5   libsystem_platform.dylib            0x00000001819bec44 _sigtramp + 56
6   emacs                               0x0000000100532fc8 pos_visible_p + 3908
7   emacs                               0x0000000100559a90 Fpos_visible_in_window_p + 444
8   emacs                               0x000000010060649c funcall_subr + 328
9   emacs                               0x0000000100605c3c Ffuncall + 628
10  emacs                               0x00000001006329b8 exec_byte_code + 1376
11  emacs                               0x0000000100605bc4 Ffuncall + 508
12  emacs                               0x00000001006329b8 exec_byte_code + 1376
13  emacs                               0x0000000100605bc4 Ffuncall + 508
14  emacs                               0x00000001006329b8 exec_byte_code + 1376
15  emacs                               0x0000000100605bc4 Ffuncall + 508
16  emacs                               0x0000000100605c3c Ffuncall + 628
17  emacs                               0x00000001006329b8 exec_byte_code + 1376
18  emacs                               0x0000000100605bc4 Ffuncall + 508
19  emacs                               0x00000001006060d4 call1 + 44
20  emacs                               0x00000001005a3e30 timer_check + 808
21  emacs                               0x00000001005a2b10 readable_events + 24
22  emacs                               0x00000001005a3a94 get_input_pending + 60
23  emacs                               0x00000001005a28e0 detect_input_pending_run_timers + 56
24  emacs                               0x000000010063ac08 wait_reading_process_output + 3620
25  emacs                               0x0000000100527888 sit_for + 292
26  emacs                               0x00000001005a0e6c read_char + 3252
27  emacs                               0x000000010059ef64 read_key_sequence + 1120
28  emacs                               0x000000010059def8 command_loop_1 + 800
29  emacs                               0x0000000100604790 internal_condition_case + 92
30  emacs                               0x00000001005a9f6c command_loop_2 + 44
31  emacs                               0x000000010060441c internal_catch + 84
32  emacs                               0x000000010066530c recursive_edit_1.cold.1 + 80
33  emacs                               0x000000010059d514 recursive_edit_1 + 244
34  emacs                               0x000000010059d658 Frecursive_edit + 288
35  emacs                               0x000000010059cb70 main + 6320
36  libdyld.dylib                       0x0000000181991430 start + 4
[1]    86528 segmentation fault  emacs -nw

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    'bt full' and 'xbacktrace'.
For information about debugging Emacs, please read the file
/opt/homebrew/Cellar/emacs/27.2/share/emacs/27.2/etc/DEBUG.

In GNU Emacs 27.2 (build 1, arm-apple-darwin20.3.0)
of 2021-03-25 built on HMBRW-A-001-M1-004.local
System Description:  macOS 11.6.2

Recent messages:
Contacting host: elpa.gnu.org:80
Package refresh done
Loading /Users/pierrelasorak/.emacs.d/config.el (source)...
Waiting for git... [2 times]
[yas] Prepared just-in-time loading of snippets successfully.
Loading /Users/pierrelasorak/.emacs.d/config.el (source)...done
Loaded /Users/pierrelasorak/.emacs.d/config.el
Turning on magit-auto-revert-mode...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Package cl is deprecated

Configured using:
'configure --disable-silent-rules
--enable-locallisppath=/opt/homebrew/share/emacs/site-lisp
--infodir=/opt/homebrew/Cellar/emacs/27.2/share/info/emacs
--prefix=/opt/homebrew/Cellar/emacs/27.2 --with-gnutls --without-x
--with-xml2 --without-dbus --with-modules --without-ns
--without-imagemagick --without-selinux'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB MODULES THREADS JSON PDUMPER GMP

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  disable-mouse-global-mode: t
  global-magit-file-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  golden-ratio-mode: t
  which-function-mode: t
  flx-ido-mode: t
  ido-ubiquitous-mode: t
  ido-everywhere: t
  TeX-PDF-mode: t
  global-company-mode: t
  company-mode: t
  which-key-mode: t
  global-subword-mode: t
  subword-mode: t
  shell-dirtrack-mode: t
  beacon-mode: t
  show-paren-mode: t
  global-hungry-delete-mode: t
  hungry-delete-mode: t
  nyan-mode: t
  override-global-mode: t
  rainbow-delimiters-mode: t
  global-linum-mode: t
  linum-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
~/.emacs.d/site-lisp/root-help hides /opt/homebrew/share/emacs/site-lisp/root/root-help

Features:
(shadow sort mail-extr emacsbug sendmail term/xterm xterm
company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-capf
company-cmake company-xcode company-clang company-semantic company-eclim
company-bbdb web-mode-expansions web-mode disable-mouse magit-bookmark
magit-submodule magit-obsolete magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode
diff diff-mode magit-core magit-autorevert autorevert filenotify
magit-margin magit-transient magit-process magit-mode git-commit
transient magit-git magit-section magit-utils log-edit pcvs-util add-log
with-editor async-bytecomp async server dired+ image-dired image-file
dired-x dired-aux interaction-log art-fhicl-mode golden-ratio smex
which-func imenu ido-hacks flx-ido flx ido-completing-read+ memoize
minibuf-eldef ido company-math math-symbol-lists tex crm
yasnippet-snippets yasnippet company-irony company-template
irony-completion irony-snippet irony irony-iotask company root-help term
disp-table ehelp diminish pcase spaceline-config spaceline-segments s
spaceline powerline powerline-separators color powerline-themes dash
which-key cmake-mode rx astyle reformatter subword-mode-expansions
cap-words superword subword ggtags etags fileloop generator xref project
ewoc docker-tramp tramp-cache tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat shell parse-time iso8601 ls-lisp
multiple-cursors mc-hide-unmatched-lines-mode mc-separate-operations
rectangular-region-mode mc-mark-pop mc-mark-more mc-cycle-cursors
mc-edit-lines multiple-cursors-core rect beacon paren hungry-delete
exec-path-from-shell ws-butler nyan-mode sos cl org-clock org-bullets
use-package-bind-key bind-key rainbow-delimiters linum time
expand-region text-mode-expansions the-org-mode-expansions
er-basic-expansions thingatpt expand-region-core expand-region-custom
pdf-tools compile cus-edit cus-start cus-load wid-edit pdf-view bookmark
pp jka-compr pdf-cache pdf-info tq pdf-util image-mode exif image
edmacro kmacro org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete pcomplete comint ansi-color
ring org-list org-faces org-entities noutline outline easy-mmode
org-version ob-emacs-lisp ob-core ob-eval org-table ol regexp-opt
org-keys org-compat advice org-macs org-loaddefs find-func cal-menu
calendar cal-loaddefs darkokai-theme cl-extra help-mode
use-package-ensure use-package-core mm-archive message dired
dired-loaddefs format-spec rfc822 mml mml-sec epa derived epg gnus-util
rmail rmail-loaddefs text-property-search time-date mailabbrev gmm-utils
mailheader mm-decode mm-bodies mm-encode gnutls mail-utils
network-stream url-http mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr url-gw nsm rmc puny url-cache url-auth url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap epg-config finder-inf tex-site info tool-bar
package easymenu browse-url url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue multi-tty make-network-process emacs)

Memory information:
((conses 16 666526 39344)
(symbols 48 38725 54)
(strings 32 177532 4345)
(string-bytes 1 4849227)
(vectors 16 77662)
(vector-slots 8 1599493 103436)
(floats 8 458 397)
(intervals 56 3425 200)
(buffers 1000 11))